#1427 closed defect (fixed)

timer server fire when with time adjust

Reported by: Sergio Faustino Owned by: Joel Sherrill
Priority: normal Milestone: 4.10
Component: score Version: 4.8
Severity: major Keywords:
Cc: manuel.coutinho@…, nbkolchin@…, sebastian.huber@…, cynt6007@…, javamonn@… Blocked By:
Blocking:

Description

If setting the date and time causes any outstanding timers to pass their deadline, then the expired timers should be fired during the invocation of the rtems_clock_set directive.

However this does NOT occurs in the timer server context.

When a timer is fired by rtems_timer_server_fire_when directive and then the system clock is set past the specified point, the (expired) timer does NOT fire during the clock set invocation.

See test sp52 and sp53.

Change History (4)

comment:1 Changed on Sep 29, 2009 at 6:06:53 AM by Nickolay Semyonov-Kolchin

Cc: Nickolay Semyonov-Kolchin added

comment:2 Changed on Jan 19, 2010 at 8:36:01 AM by Sebastian Huber

Cc: Sebastian Huber added

comment:3 Changed on Dec 5, 2013 at 9:46:39 PM by Daniel Ramirez

Cc: Daniel Ramirez added

comment:4 Changed on Jan 8, 2014 at 4:07:50 AM by cynt6007

Resolution: fixed
Status: newclosed, cynt6007@vandals.uidaho.edu

Got fixed

Note: See TracTickets for help on using tickets.